---
layout: developer-survey
title: Guide to the cloud - How to navigate the multi-cloud future
description: Download our ebook “Guide to the cloud - How to navigate the multi-cloud future” for insights on how we’re helping teams harness the power of the cloud.
twitter_image: '/images/tweets/guide-to-the-cloud-social-promo-twitter-1200x675.png'
extra_css:
  - guide-to-the-cloud.css
  - starry-bg.css
  - form-2column.css
extra_js:
  - starry-bg.js
  - guide-to-the-cloud.js
destination_url: "https://learn.gitlab.com/c/guide-to-the-cloud?x=Tt__oC&lb_email="
form_id: "1002"
form_type: "resources"
link_text: "Click here to view the ebook" 
success_message: "You will also receive a link to the report to your inbox shortly."
---

%header.navbar.navbar-header-transparent#main-nav{role: "navigation"}
  .navbar-left
    %a.navbar-brand.animated{href: "/"}
      = partial "includes/logos/wm_web.svg"
  %script{ src: "/javascripts/libs/tweenmax.min.js", type: "text/javascript" }

%main
  %section.hero.container
    .futureofcloudtitlewrapper
      %svg.futureofcloudtitle1{viewBox:"0 0 230 40"}
        %defs
          %linearGradient{id:"textGradientFill", x1:"0", x2:"0", y1:"0", y2:"100%", gradientUnits:"userSpaceOnUse"}
            %stop{"stop-color":"#ffffff", offset:"33%"}
            %stop{"stop-color":"#8a819b", offset:"100%"}
        %text{fill:"url(#textGradientFill)"}
          %tspan{fill:"url(#textGradientFill)", "font-size":"30", x:"0", y:"30"}
            The future of
      %svg.futureofcloudtitle2{viewBox:"0 0 230 40"}
        %defs
          %linearGradient{id:"textGradientFill", x1:"0", x2:"0", y1:"0", y2:"100%", gradientUnits:"userSpaceOnUse"}
            %stop{"stop-color":"#ffffff", offset:"33%"}
            %stop{"stop-color":"#8a819b", offset:"100%"}
        %text{fill:"url(#textGradientFill)"}
          %tspan{fill:"url(#textGradientFill)", "font-size":"30", x:"0", y:"30"}
            cloud computing
      %h3 As teams move to faster release cycles, they're looking to cloud-based architectures and cloud services to help them scale and automate.
      %a.btn.cta-btn.btn-dev-2019{href: "#pdf", style: "background-color: #a6009c; float: right;"}
        %span{style: "color: #ffffff;"} Download our ebook

  %section.introduction.container
    .row.u-margin-bottom-lg
      .col-md-5.col-md-offset-1
        %p Increasing development speed is often limited by the boundaries of infrastructure. Enterprises large and small have adopted cloud computing to help them be more efficient in their growth journey. Whether it's managing infrastructure, data storage and recovery, cloud-native application development, or software on-demand – cloud computing is changing the way we deliver software.
      .col-md-5
        .animation-wrapper.wrapper-cloudcity1
          = partial "/images/resources/guide-to-cloud/cloudcity1.svg"
    .row
      .col-md-5.col-md-offset-1
        .animation-wrapper.wrapper-cloudcity2
          = partial "/images/resources/guide-to-cloud/cloudcity2.svg"
      .col-md-5
        %p It's not enough to just adopt cloud computing. Organizations need cohesion for their cloud-first vision, and a multi-cloud approach allows teams the flexibility to deploy anywhere with workflow portability. DevOps applications that support multi-cloud will help organizations prepare for the multi-cloud future.

  %section.learn.container
    .row.u-margin-top-xl
      .col-md-10.col-md-offset-1
        %h2 In our ebook, <em>Guide to the cloud: How to navigate the multi-cloud future</em>, you’ll learn:
        %ul
          %li Why cloud deployment and service models benefit from microservices
          %li Common cloud challenges and the benefits of cloud-agnostic DevOps
          %li How a multi-cloud strategy enables growth and flexibility

  %section.tomorrow.container
    .row.u-margin-top-xs
      .col-md-10.col-md-offset-1
        %h2 The cloud of tomorrow
        %ul
          %li Organizations of the future are embracing multi-cloud, supported by solutions that are truly cloud-agnostic and offer all of the flexibility and visibility they need to move seamlessly between services.
          %li IT infrastructure is elastic and scales up or down automatically; teams can build and test applications for web, mobile and API without worrying about their architecture.
          %li Data is secure, accessible across any network, and optimized for machine learning and artificial intelligence.
          %li Teams can deploy to any environment in any cloud with a single deployment workflow.

  %section.pdf#pdf
    %h1 The future is multi-cloud
    %h2 Download our ebook for insights on how we’re helping teams harness the power of the cloud.

    .form-to-resource-outer-wrapper
      = partial "includes/form-to-resource"

.galaxy
-# ^ .galaxy is used to generate the starry background